Results 1 to 6 of 6

Thread: Can SA be configured to use a particular version of Cmd?

  1. #1
    Sencha Premium Member
    Join Date
    Mar 2012
    Posts
    85

    Default Can SA be configured to use a particular version of Cmd?

    1) Can SA 4.2.1.224 be configured to us a particular version of Cmd? i.e the About menus is showing Cmd: 6.5.0.180 and I would like it to use Cmd 6.5.1.240 which is the latest version


    2) The About menu shows Framework: Ext JS 6.5.x Modern. Can I find out the minor version i.e. the x part and can I configure SA 4.2.1.224 to use a particular version of Ext JS

    Please help thanks.

  2. #2
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795
    Answers
    103

    Default

    The newer version of SA which supports officially the versions has to be released. But you can easily configure both Cmd and Ext versions. Just follow this instructions:

    https://youtu.be/fL6jkO0y754

  3. #3
    Sencha Premium Member
    Join Date
    Mar 2012
    Posts
    85

    Default

    Brilliant thanks Petr, this is just what I was looking for you're a star. Although the video is for a PC and I use a Mac I was able to resolve any navigation difference. Once again thank you for the link, perfect.

  4. #4
    Sencha Premium Member
    Join Date
    Mar 2012
    Posts
    85

    Default

    One you might be able to answer quickly. I have a project that uses awesome iconCls on buttons. The deployed version works fine as does the local. However the deployed to a server version display an error in the a Chrome browser console but not in the local version. The error shown is Get …/resources/font-awesome/fonts/fontawesome-webfont.woff2?v=4.7.0 This error happens in all my projects that use awesome iconCls on buttons both for the current Cmd and Ext JS version 6.5.1 and previous versions. Don't know if this was also true for earlier version as I only notice it in the previous and current version. How can I get rid of this error in the deployed version, any ideas ? thanks.

  5. #5
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795
    Answers
    103

    Default

    I have deployed app build with SA and ExtJS, Cmd 6.5.1 and I don't have this problem. Which theme are you using in your app?

    Hm when I check the app, it loads the font correctly from there.
    Code:
    • Request URL: http://chess.pagep.net/chess/resources/font-awesome/fonts/fontawesome-webfont.woff2?v=4.7.0
    • Request Method: GET
    • Status Code: 200 OK
    I am using triton theme

  6. #6
    Sencha Premium Member
    Join Date
    Mar 2012
    Posts
    85

    Default

    I'm using the iOS theme

Similar Threads

  1. Replies: 1
    Last Post: 12 Sep 2014, 4:22 PM
  2. Replies: 2
    Last Post: 15 Aug 2013, 1:57 PM
  3. Replies: 2
    Last Post: 4 Mar 2013, 11:21 AM
  4. Sencha Build: Production version causes error, Testing version works fine
    By parky128 in forum Sencha Touch 2.x: Discussion
    Replies: 10
    Last Post: 18 Feb 2013, 3:33 AM
  5. Replies: 1
    Last Post: 23 Aug 2009, 1:18 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •